List seller payout config
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/config \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"payout_configs": [
{
"seller_id": "<string>",
"seller_details": {
"id": "<string>",
"trade_name": "<string>",
"legal_name": "<string>",
"business_type": "sole_proprietorship",
"tax_identification_number": "<string>",
"status": "pending_approval",
"kyc_status": "document_pending",
"visibility": "public",
"logo": "<string>"
},
"commission_fixed_amount": 123,
"commission_percent": 50,
"commission_type": "percent",
"created_at": "2023-11-07T05:31:56Z",
"hold_period_days": 123,
"include_shipping_in_payout": true,
"include_tax_in_payout": true,
"tcs_percent": 123,
"tds_percent": 123,
"minimum_payout_amount": 123,
"modified_at": "2023-11-07T05:31:56Z",
"store_id": "<string>",
"ulid": "<string>"
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"previous_page": 123,
"limit": 25,
"next_page": 123
}
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"error": {
"fieldname": [
"<string>"
]
}
}{
"message": "Not authorized for given operation on the Resource.",
"success": false,
"code": "unauthorized"
}Payouts
List seller payout config
List the seller payout configurations for the marketplace store. Each SellerPayoutConfig holds the commission, hold period, and payout inclusion rules applied to a single seller.
GET
/
orders
/
payouts
/
config
List seller payout config
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
page number of pagination list
Required range:
x >= 1no of rows per page
Required range:
x >= 1Was this page helpful?
⌘I